Secure Scores - List
현재 범위 내의 모든 클라우드용 Microsoft Defender 이니셔티브에 대한 보안 점수를 나열합니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/secureScores?api-version=2020-01-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$ |
Azure 구독 ID |
|
api-version
|
query | True |
string |
작업에 대한 API 버전 |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
그래 |
|
| Other Status Codes |
작업이 실패한 이유를 설명하는 오류 응답입니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
List secure scores
샘플 요청
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/secureScores?api-version=2020-01-01
샘플 응답
{
"value": [
{
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/secureScores/ascScore",
"name": "ascScore",
"type": "Microsoft.Security/secureScores",
"properties": {
"displayName": "ASC score",
"score": {
"max": 39,
"current": 23.53,
"percentage": 0.6033
},
"weight": 67
}
}
]
}
정의
| Name | Description |
|---|---|
|
Cloud |
실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다. |
|
Cloud |
오류 세부 정보입니다. |
|
Error |
리소스 관리 오류 추가 정보입니다. |
|
Secure |
보안 점수 항목 데이터 모델 |
|
Secure |
보안 점수 목록 |
CloudError
실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다.
| Name | 형식 | Description |
|---|---|---|
| error.additionalInfo |
오류 추가 정보입니다. |
|
| error.code |
string |
오류 코드입니다. |
| error.details |
오류 세부 정보입니다. |
|
| error.message |
string |
오류 메시지입니다. |
| error.target |
string |
오류 대상입니다. |
CloudErrorBody
오류 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| additionalInfo |
오류 추가 정보입니다. |
|
| code |
string |
오류 코드입니다. |
| details |
오류 세부 정보입니다. |
|
| message |
string |
오류 메시지입니다. |
| target |
string |
오류 대상입니다. |
ErrorAdditionalInfo
리소스 관리 오류 추가 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| info |
object |
추가 정보입니다. |
| type |
string |
추가 정보 유형입니다. |
SecureScoreItem
보안 점수 항목 데이터 모델
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스 ID |
| name |
string |
리소스 이름 |
| properties.displayName |
string |
이니셔티브의 이름 |
| properties.score.current |
number (double) minimum: 0exclusiveMinimum: False |
현재 점수 |
| properties.score.max |
integer (int32) minimum: 0exclusiveMinimum: False |
사용 가능한 최대 점수 |
| properties.score.percentage |
number (double) minimum: 0maximum: 1 exclusiveMinimum: False exclusiveMaximum: False |
현재 점수의 비율을 최대값으로 나눈 비율입니다. 소수점 뒤의 4자리로 반올림됨 |
| properties.weight |
integer (int64) minimum: 0exclusiveMinimum: False |
각 구독에 대한 상대 가중치입니다. 여러 구독에 대해 집계된 보안 점수를 계산할 때 사용됩니다. |
| type |
string |
리소스 종류 |
SecureScoresList
보안 점수 목록
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
다음 페이지를 가져올 URI입니다. |
| value |
이 페이지의 보안 점수 컬렉션 |